#include<iostream>
#include<vector>
using namespace std;

int findKey(int spil[], int value,int size)
{
	for(int i = 0; i < size; i++)
	{
		if(spil[i] == value)
		{
			return i;
		}
	}
	return -1;
}

int main()
{
	int n,k;
	int spil[20000];
	
	cin>>n>>k;
	
	for(int i = 0; i < n; i++)
	{
		cin>>spil[i];
	}
	
	cout<<(spil[(findKey(spil,k,n) + 1) % n]);
	
	
	return 0;
}